dpkg安装deb时报依赖不存在的错误

比如下载安装JavaSE的deb包,在ubuntu上安装使用命令:

sudo dpkg -i jdk-15.0.1_linux-x64_bin.deb

会报各种依赖包不存在,此时执行:

sudo apt -f -y install    #安装依赖的包
sudo dpkg -i jdk-15.0.1_linux-x64_bin.deb  #第二次,进行安装

问题就解决啦~

顺便提一句,解压deb包,使用如下命令:

dpkg -X jdk-15.0.1_linux-x64_bin.deb ./output

 

发表于 2020年10月22日 15:29   修改于 01月03日 12:38   评论:0   阅读:587  



回到顶部

首页 | 关于我 | 关于本站 | 站内留言 | rss
python logo   django logo   tornado logo